<div class="row">
  <div class="col-sm-12">
    <h3>Student's answer:</h3>
    <code-mirror
      [questionType]="currQuestion.type"
      [initialCode]="currQuestion.studentAnswerText ? currQuestion.studentAnswerText : ''"
      [cmSkin]="cmSkin"
      [readOnly]="true"
    ></code-mirror>
    <div *ngIf="currQuestion.manualComment" class="edgar-comment-overlap">
      <button
        class="btn btn-warning col-1 edgar-overlap-btn-w d-flex comment-popover"
        data-toggle="popover"
      >
        <div [innerHTML]="currQuestion.graderImage"></div>
        <h3><i class="fa fa-comment-dots"></i></h3>
      </button>
    </div>
  </div>
</div>
<br />
<div class="d-flex justify-content-center bg-light">
  <h5>Hint: {{ currQuestion.hint }}</h5>
</div>
<br />
<div class="row">
  <div class="col-sm-12">
    <h3>Correct answer:</h3>
    <div
      *ngIf="currQuestion && currQuestion.correctAnswerCode"
      [innerHTML]="currQuestion.correctAnswerCode"
    ></div>
  </div>
</div>
